Bug 1009594 - Delete systems and bulk delete systems are using a drop down dialog instead of a modal dialog
Delete systems and bulk delete systems are using a drop down dialog instead o...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.2
All All
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Walden Raines
bmorriso
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-18 12:34 EDT by Walden Raines
Modified: 2014-04-24 13:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
System Removal is using modal dialog (84.82 KB, image/png)
2013-10-21 11:14 EDT, bmorriso
no flags Details

  None (edit)
Description Walden Raines 2013-09-18 12:34:18 EDT
Description of problem:

See also https://github.com/Katello/katello/issues/2892

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Go to the details page for a system 
2. Click the delete button
3. Notice it's a dropdown and not a modal dialog

Actual results:
 Dropdown confirmation

Expected results:
 Modal dialog confirmation

Additional info:
Comment 2 Walden Raines 2013-09-18 19:25:00 EDT
Pull request here:  https://github.com/Katello/katello/pull/2996
Comment 3 Walden Raines 2013-09-19 13:51:01 EDT
commit 2cb0e03d8188f0709551851383b44ae2c2bbad49
Merge: 49c443c 3b37006
Author: Walden Raines <walden@redhat.com>
Date:   Thu Sep 19 10:48:37 2013 -0700

    Merge pull request #2996 from waldenraines/delete-modal
    
    Bug #1009594 - use modal dialog instead of dropdown, fixes #2892.

commit 3b37006f20568d9d5766ee356d7d7abc3678fa86
Author: Walden Raines <walden@redhat.com>
Date:   Wed Sep 18 19:21:50 2013 -0400

    Bug #1009594 - use modal dialog instead of dropdown, fixes #2892.
Comment 4 Jason Montleon 2013-09-19 16:04:15 EDT
pushed to SATELLITE-6.0.2 branch, hash afedac5804d21792f4967b4fb6ec16c346ae3511
Comment 6 bmorriso 2013-10-21 11:14:27 EDT
Created attachment 814668 [details]
System Removal is using modal dialog

UI is using a modal dialog for system removal and bulk system removal.
Comment 7 Bryan Kearney 2014-04-24 13:11:34 EDT
This was verified and delivered with MDP2. Closing it out.
Comment 8 Bryan Kearney 2014-04-24 13:12:23 EDT
This was delivered and verified with MDP2. Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.